# Uses of Interface
org.eclipse.e4.core.services.translation.ResourceBundleProvider

Packages that use ResourceBundleProvider
Package
Description
org.eclipse.e4.core.services.nls
Application programming interfaces for dependency injection of message objects for internationalization.

## Uses of ResourceBundleProvider in org.eclipse.e4.core.services.nls

Methods in org.eclipse.e4.core.services.nls with parameters of type ResourceBundleProvider
Modifier and Type
Method
Description
`<M> M`
IMessageFactoryService.`getMessageInstance(Locale locale, Class<M> messages, ResourceBundleProvider provider)`
Returns an instance of the of a given messages class for the given `Locale`.